Skip to main content
GET
/
webhooks
List webhook endpoints
curl --request GET \
  --url https://api.woopsocial.com/v1/webhooks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "url": "<string>",
    "eventTypes": [
      "socialAccountPost.delivery.published"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "signingSecret": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Webhook endpoints.

id
string
required

Webhook endpoint identifier (int64 as string).

url
string
required
eventTypes
enum<string>[]
required
Available options:
socialAccountPost.delivery.published,
socialAccountPost.delivery.failed
createdAt
string<date-time>
required
signingSecret
string

Base64-encoded 32-byte signing secret. Returned once on creation only.